%define with_dietlibc %{?_without_dietlibc:0} %{!?_without_dietlibc:1}

%ifarch somearch
%define with_dietlibc 0
%endif

Name:		ash
Version:	0.3.8
Release:	%mkrel 14
Group:		Shells
Summary:	The Almquist shell
License:	BSD
Source0:	%{name}-%{version}.tar.gz
Patch0:		ash-0.3.8-gcc.patch
Patch1:		ash-0.3.8-defpath.patch
Patch2:		ash-0.3.8-dietlibc.patch
Patch3:		ash-0.3.8-stat.patch
Patch4:		ash-0.3.8-fixyaccparser.patch
Patch5:		ash-0.3.8-getcwd.patch
Obsoletes:	ash-static < 0.3.8-7mdk
Provides:	ash-static
BuildRequires:	binutils
BuildRequires:	flex
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	byacc
%if %{with_dietlibc}
BuildRequires:	dietlibc-devel
%else
BuildRequires:	glibc-devel
%endif
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
# for /etc/shells:
Requires(post):	setup
Requires(preun): setup

%description
The Almquist shell is a clone of Berkeley's Bourne shell. Ash
supports all of the standard sh shell commands and is considerably
smaller than bash. The ash shell lacks some features (for example,
command-line history), but needs a lot less memory.

This package contains a small, statically linked version of ash 
that can be handy for system recovery or as a fail-safe interactive
shell for the superuser.

%prep
%setup -q
%patch0 -p1 -b .gcc
%patch1 -p1 -b .defpath
%if %{with_dietlibc}
%patch2 -p1 -b .dietlibc
%endif
%ifarch s390 alpha
%patch3 -p1 -b .stat
%endif
%patch4 -p1 -b .fixyaccparser
%patch5 -p1 -b .getcwd

%build
make STATIC=-static

%install
rm -rf %{buildroot}
install -D -m 755 sh %{buildroot}/sbin/bsh
install -D -m 644 sh.1 %{buildroot}%{_mandir}/man1/ash.1
mkdir %{buildroot}/bin
ln -s /sbin/bsh %{buildroot}/bin/ash
ln -s /sbin/bsh %{buildroot}/bin/bsh
ln -s ash.1 %{buildroot}%{_mandir}/man1/bsh.1

%clean
rm -rf %{buildroot}

%post -p /bin/ash
# Add /etc/shells entry without using external commands
SHELLS=%{_sysconfdir}/shells
for sh in /bin/ash /bin/bsh; do
	while read i; do [ "$i" = "$sh" ] && break; done < $SHELLS
	[ "$i" = "$sh" ] || echo $sh >> $SHELLS
done

%preun -p /bin/ash
# Remove /etc/shells entry without using external commands
if [ "$1" = "0" ]; then
	SHELLS=%{_sysconfdir}/shells
	TEMP=${SHELLS}-
	for sh in /bin/ash /bin/bsh; do
		while read i; do echo $i; done < $SHELLS > $TEMP
		while read i; do
			[ "$i" = "$sh" ] || echo $i
		done < $TEMP > $SHELLS
	done
fi

%files
%defattr(-,root,root)
/sbin/bsh
/bin/ash
/bin/bsh
%{_mandir}/man1/ash.1*
%{_mandir}/man1/bsh.1*



%changelog
* Sat Sep 08 2007 Adam Williamson <awilliamson@mandriva.com> 0.3.8-14mdv2008.0
+ Revision: 82309
- rebuild for 2008


* Thu Feb 15 2007 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.3.8-13mdv2007.0
+ Revision: 121544
- fix requires

* Sat Jan 06 2007 David Walluck <walluck@mandriva.org> 0.3.8-12mdv2007.1
+ Revision: 104950
- rebuild
  bunzip2 patches

  + Jérôme Soyer <saispo@mandriva.org>
    - Import ash

* Fri Apr 21 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.8-11mdk
- build against dietlibc on sparc again
- disable parallell build again

* Fri Mar 31 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.8-10mdk
- don't build with dietlibc on sparc
- fix building without dietlibc
- parallell build
- cosmetics

* Fri Oct 07 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.8-9mdk
- fix prereq (#17657)

* Thu May 26 2005 Claudio Matsuoka <claudio@mandriva.com> 0.3.8-8mdk
- fixed changelog

* Sat May 14 2005 Claudio Matsuoka <claudio@mandriva.com> 0.3.8-7mdk
- created Mandriva package of the Conectiva Linux static ash
- lifted restrictions on dietlibc for s390, alpha and sparc
- better post/postun scriptlets

* Fri Apr 16 2004 Wanderlei Antonio Cavassin <cavassin@conectiva.com.br>
+ 2004-04-15 10:13:41 (56995)
- Defined __DIETLIBC__ and forced use of internal getcwd function
  instead of /bin/pwd. Fixes that annoyance bug in mi's shell.

* Thu Mar 11 2004 Ricardo Erbano <erbano@conectiva.com>
+ 2004-03-11 10:17:52 (52166)
- Added patch file fixyaccparser to fix build error

